## catdoc 0.94.4

=== desktop/Makefile ===
# Generated automatically from Makefile.in by configure.

# Your C compilier and flags
SHELL = /bin/sh
installroot=
srcdir = .
top_srcdir = ..
INSTALL = /usr/bin/install -c
prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man/man1
manext = .1
desktopdir = /share/applications
iconsdir = /share/pixmaps

all:

clean:

install: all
	../mkinstalldirs $(prefix)$(desktopdir)
	../mkinstalldirs $(prefix)$(iconsdir)
	$(INSTALL) -m 644 wordview.desktop $(prefix)$(desktopdir)/wordview.desktop
	$(INSTALL) -m 644 wordview.xpm $(prefix)$(iconsdir)/wordview.xpm

distclean: clean
	rm Makefile

## catdoc 0.94.2

=== debian/changelog ===
catdoc (0.94.2-2) unstable; urgency=low

  * New maintainer (Closes: #631798)
  * Add font table support to rtf parser
  * Handle invalid unicode character return of -1 correctly in rtf parser
  * Trap zero length docs
  * Add cross building support
  * Increase DBCS support for cp932 in rtf parser
  * Add check for reloading current charset in rtf parser
  * Implement rtf deflang/plain control word interaction
  * Add rtf support for font charsets suggesting codepages and mbcs support
  * Add lang+codepage support in rtf parser
  * Add removal of escaped chars after unicode char
  * And default to single char removal and implement sanely
  * Skip index entries in rtf parser
  * Cleaup some whitespace/static defs in rtf parser
  * Add gnome desktop entry under Office
  * Updated copright file to DEP-5 format

 -- Nick Bane <nick@enomem.co.uk>  Sat, 30 Jul 2011 14:44:15 +0100

catdoc (0.94.2-1.1) unstable; urgency=low

  * Non-maintainer upload. Applied patch by Sergei Golovan:
  * Replaced obsolete tk8.3 build-dependency by default tk package.

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Aug 2010 23:24:59 +0200

catdoc (0.94.2-1) unstable; urgency=low

  * New upstream version, fixes a few OLE-parsing bugs (closes: #358707)
  * Fixed mailcap (closes: #313616, #316122)
  * Fixed some typos (closes: #327905, #327907)
  * Updated copyright file (closes: #353819)
  * Updated standards-version in debian/control

 -- Pawel Wiecek <coven@debian.org>  Wed, 29 Mar 2006 22:48:50 +0200

catdoc (0.94.0-1) unstable; urgency=low

  * New upstream version
     - fixes field type problems in xls2csv (closes: #292555)
     - adds new utility: catppt
  * Applied numerous patches from A Costa <agcosta@gis.net> to fix typos in
    manpages (closes: #304318, #305965, #305966, #305967)
  * Added some asian charsets (closes: #278004)
  * Re-added xlsview that disappeared from package some time

 -- Pawel Wiecek <coven@debian.org>  Mon, 16 May 2005 22:22:49 +0200

catdoc (0.93.4-2) unstable; urgency=low

  * Fixed TeX charset conversion table for backslash and hash
    (closes: #278257)
  * Moved wordview from /usr/X11R6 to /usr (policy)

 -- Pawel Wiecek <coven@debian.org>  Sat,  8 Jan 2005 19:21:40 +0100

catdoc (0.93.4-1) unstable; urgency=low

  * New upstream version (closes: #255625)

 -- Pawel Wiecek <coven@debian.org>  Thu, 30 Sep 2004 23:01:49 +0200

catdoc (0.93.3-3) unstable; urgency=low

  * Fixed charset files location in catdoc.1 (closes: #238461)
  * Fixed a typo in catdoc.1
  * Added information about current and previous Debian maintainers to
    copyright file (closes: #239126)
  * Enhanced long description with info about supported file formats other
    than .doc (closes: #239127)

 -- Pawel Wiecek <coven@debian.org>  Wed, 24 Mar 2004 21:08:41 +0100

catdoc (0.93.3-2) unstable; urgency=low

  * Changed build dependency from wish to tk8.3 (which provides wish anyway)
    because autobuilders barfed (closes: #228739)

 -- Pawel Wiecek <coven@debian.org>  Wed, 21 Jan 2004 20:50:59 +0100

catdoc (0.93.3-1) unstable; urgency=low

  * New upstream version (closes: #197426, #105255, #228190)
  * Dropped our version of manpage for wordview, as there's now upstream
    manual available

 -- Pawel Wiecek <coven@debian.org>  Tue, 20 Jan 2004 15:08:11 +0100

catdoc (0.93.1-1) unstable; urgency=low

  * New upstream version (closes: #198637, #22861)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Mon, 13 Oct 2003 16:24:00 +0200

catdoc (0.91.6-1) unstable; urgency=low

  * New upstream version (closes: #182404, #169428, #188786)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Wed, 28 May 2003 13:12:19 +0200

catdoc (0.91.5-3) unstable; urgency=low

  * Fixed manpages (closes: #175643, #185834)
  * Updated standards version
  * Fixed a couple of lintian errors

 -- Pawel Wiecek <coven@debian.org>  Thu, 24 Apr 2003 22:13:59 +0200

catdoc (0.91.5-2) unstable; urgency=high

  * Fixed insecure /tmp use (closes: #183525)

 -- Pawel Wiecek <coven@debian.org>  Wed, 23 Apr 2003 15:46:19 +0200

catdoc (0.91.5-1) unstable; urgency=low

  * New upstream version (closes: #136222)
  * GPL version now specified in copyright (closes: #133488)

 -- Pawel Wiecek <coven@debian.org>  Fri,  1 Mar 2002 13:59:13 +0100

catdoc (0.91.4-9) unstable; urgency=low

  * This time really changed maintainer address in debian/control
    (closes: #135056, #131812)

 -- Pawel Wiecek <coven@debian.org>  Fri, 22 Feb 2002 14:42:35 +0100

catdoc (0.91.4-8) unstable; urgency=low

  * New maintainer (closes: #135056)
  * Fixed problem with opening files with spaces in filenames
    (closes: #131812)
  * Converted to debhelper 3

 -- Pawel Wiecek <coven@debian.org>  Fri, 22 Feb 2002 13:13:26 +0100

catdoc (0.91.4-7) unstable; urgency=low

  * Fixed problem on powerpc (Closes: #104103)
  * Fixed package desctiption (Closes: #124050)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 29 Dec 2001 18:59:41 +0300

catdoc (0.91.4-6) unstable; urgency=low

  * Got rid of ^M in the end of lines in xlsview.
  Closes: #109508, #113883, #117882, #116950

 -- Peter Novodvorsky <nidd@debian.org>  Fri,  9 Nov 2001 17:34:15 +0300

catdoc (0.91.4-5) unstable; urgency=low

  * Changed menu section to 'Apps/Viewers'. (Closes: Bug#85881)

 -- Peter Novodvorsky <nidd@debian.org>  Fri, 15 Jun 2001 00:40:39 +0300

catdoc (0.91.4-4) unstable; urgency=low

  * Finally end transition to /usr/share. Fixed bug in wordview.tcl 
  (thanks to Sacha)

 -- Peter Novodvorsky <nidd@debian.org>  Tue, 23 Jan 2001 23:40:39 +0300

catdoc (0.91.4-3) unstable; urgency=low

  * Finally fixed '-d' option with xls2csv (Closes: Bug#78020).
  * Changed path /usr/lib to /usr/share/. (thanks to Robert)

 -- Peter Novodvorsky <nidd@debian.org>  Tue, 23 Jan 2001 23:40:08 +0300

catdoc (0.91.4-2) unstable; urgency=low

  * Maintainer changed. (Closes: Bug#80128)
  * Fixed various bugs in msxlsview.sh (Closes: Bug#76460)


=== debian/control ===
Source: catdoc
Section: text
Priority: optional
Maintainer: Nick Bane <nick@enomem.co.uk>
Build-Depends: debhelper (>> 7.0.0), tk
Standards-Version: 3.9.2

Package: catdoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tk | wish
Homepage: http://freshmeat.net/projects/catdoc
Description: MS-Word to TeX or plain text converter
 This program extracts text from MS-Word files, trying to preserve
 as many special printable characters as possible. catdoc supports
 everything up to Word-97. Also supported are MS Write documents and RTF
 files.
 .
 It doesn't even try to preserve fancy Word formatting, because
 Word users usually don't care about document structure, and it is
 this very thing which is important to LaTeX users.
 .
 Also provided is xls2csv, which extracts data from Excel spreadsheets
 and outputs it in comma-separated-value format and catppt, which extracts
 data from PowerPoint presentations.
 .
 This package suggests tk because it also includes wordview, an
 optional Tk-based GUI for catdoc.  The MIME config provided in this
 package will use wordview if X is running, or catdoc directly if it
 is not.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr
	# Add here commands to compile the package.
	$(MAKE) SYSTEMRC=/etc/catdocrc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/catdoc.
	$(MAKE) install prefix=`pwd`/debian/catdoc/usr
	install src/msxlsview.sh `pwd`/debian/catdoc/usr/bin/xlsview
	cp doc/*.1 `pwd`/debian/catdoc/usr/share/man/man1
	cp debian/*.1 `pwd`/debian/catdoc/usr/share/man/man1
	cp debian/mime `pwd`/debian/catdoc/usr/lib/mime/packages/catdoc
	cp debian/catdocrc `pwd`/debian/catdoc/etc

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## catdoc 0.94.3~git20151007.fd634c2+dfsg

=== debian/changelog ===
catdoc (1:0.94.3~git20151007.fd634c2+dfsg-2) unstable; urgency=medium

  * Add VCS-* fields.
  * Fix an out-of-bounds access in ole_readdir. Closes: #679877.
  * Suppress "File is write protected" message, thanks to Olly Betts for the
    patch. Closes: #766130.
  * Suppress "Format a4 redefined" message, thanks to Olly Betts for the
    patch. Closes: #797029.

 -- Martín Ferrari <tincho@debian.org>  Wed, 23 Dec 2015 23:27:09 +0000

catdoc (1:0.94.3~git20151007.fd634c2+dfsg-1) unstable; urgency=medium

  * Start packaging from scratch, discard unmaintained and undocumented fork
    made by previous Debian maintainers. Closes: #615286.
  * Rebase work on proper upstream, using last commit in git repo. As a side
    effect closes: #380557, #363541, #389946.
  * Reinstate original upstream. Closes: #393854.
  * Repackage upstream to solve licensing issues with charset files.
    Closes: #803033.
  * Patch autoconf files to fix some issues and lintian warnings. Update
    configure script too.
  * Stop installing the broken xlsview script.
    Closes: #409667, #367315, #309991.

 -- Martín Ferrari <tincho@debian.org>  Wed, 23 Dec 2015 12:31:45 -0300

catdoc (0.94.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release to remove .pc subdirectory from
    the orig tarball (Closes: #692073). Includes updating
    version strings in generated manpages.
  * Remove extra ';' in src/xlsparse.c which turned for loop in
    xlsparse into a buffer overflow (Closes: #692076), applies
    patch by Olly Betts <olly@survex.com>.

 -- Neil Williams <codehelp@debian.org>  Mon, 03 Dec 2012 18:22:47 +0000

catdoc (0.94.3-1) unstable; urgency=low

  * Declare new upstream release
  * Fix codepage bugs (Closes: #648921)
  * Fix charset bug (Closes: #648726)
  * Handle negative numbers on 64bit architectures (Closes: #555622)
  * Fix Macintosh MS1904 date bug in xlsparse reported ubuntu #349016

 -- Nick Bane <nick@enomem.co.uk>  Sun, 10 Jun 2012 11:04:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
#export DH_VERBOSE=1

DESTDIR     = $(CURDIR)/debian/catdoc

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
GITCOMMIT  ?= $(shell echo '$(VERSION)' | \
              sed -e 's/.*[+~]git[[:digit:]]*\.\([[:xdigit:]]*\).*/\1/')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-install-root=$(DESTDIR)

override_dh_auto_install:
	echo $(LDFLAGS)
	dh_auto_install
	install -d $(DESTDIR)/usr/lib/mime/packages
	install -m 644 debian/mime $(DESTDIR)/usr/lib/mime/packages/catdoc
	install -m 644 debian/catdocrc $(DESTDIR)/etc/catdocrc

override_dh_auto_clean:
	dh_auto_clean
	$(RM) config.status config.log config.cache src/config.h

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
	        $(GITCOMMIT) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## catdoc 0.94.3~git20160113.dbc9ec6+dfsg

=== debian/changelog ===
catdoc (1:0.94.3~git20160113.dbc9ec6+dfsg-1+deb9u1build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 06 Sep 2017 15:53:50 +0000

catdoc (1:0.94.3~git20160113.dbc9ec6+dfsg-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-11110: Heap buffer overflow in ole_init (Closes: #867717)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 21 Jul 2017 12:38:52 +0200

catdoc (1:0.94.3~git20160113.dbc9ec6+dfsg-1) unstable; urgency=medium

  * Cut a new "upstream" version, as I have replaced two more Unicode files
    with licensing issues. I think this problem is completely fixed now.
  * Add patch to correctly decode some floating point numbers, thanks to Olly
    Betts for the patch. Closes: #692075.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Jan 2016 22:33:43 +0000

catdoc (1:0.94.3~git20151007.fd634c2+dfsg-3) unstable; urgency=medium

  * Fix bug introduced when fixing #679877 that rendered catdoc mostly useless.
    Closes: #808893.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Dec 2015 12:38:12 +0000

=== debian/control ===
Source: catdoc
Section: text
Priority: optional
Maintainer: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>> 9.0.0), tk
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/catdoc.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/catdoc.git

Package: catdoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tk | wish
Homepage: http://www.wagner.pp.ru/~vitus/software/catdoc/
Description: Convert Word, Excel, and PowerPoint files to plain text
 The catdoc program reads one or more Microsoft word files and outputs text,
 contained insinde them to standard output.
 .
 It is now accompanied by xls2csv, a program which converts Excel spreadsheet
 into comma-separated value file, and catppt a utility to extract textual
 information from Powerpoint files.
 .
 It doesn't try to preserve Word formatting, it's goal is to extract plain text
 and allow you to read it and, probably, reformat with TeX.
 .
 This package suggests tk because it also includes wordview, an
 optional Tk-based GUI for catdoc.  The MIME config provided in this
 package will use wordview if X is running, or catdoc directly if it
 is not.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,10 @@
 
 DESTDIR     = $(CURDIR)/debian/catdoc
 
-DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
-DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
-GITCOMMIT  ?= $(shell echo '$(VERSION)' | \
-              sed -e 's/.*[+~]git[[:digit:]]*\.\([[:xdigit:]]*\).*/\1/')
+DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+GITTAG     ?= upstream/$(shell echo '$(VERSION)' | sed 's/[~^:]/./g')
 
 %:
 	dh $@
@@ -31,6 +30,6 @@
 gen-orig-tgz:
 	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
 	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
-	        $(GITCOMMIT) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
+	        $(GITTAG) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
 	fi

## catdoc 0.94.4

=== debian/control ===
Source: catdoc
Section: text
Priority: optional
Maintainer: Nick Bane <nick@enomem.co.uk>
Build-Depends: debhelper (>> 7.0.0), tk
Standards-Version: 3.9.3

Package: catdoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tk | wish
Homepage: http://freshmeat.net/projects/catdoc
Description: MS-Word to TeX or plain text converter
 This program extracts text from MS-Word files, trying to preserve
 as many special printable characters as possible. catdoc supports
 everything up to Word-97. Also supported are MS Write documents and RTF
 files.
 .
 It doesn't even try to preserve fancy Word formatting, because
 Word users usually don't care about document structure, and it is
 this very thing which is important to LaTeX users.
 .
 Also provided is xls2csv, which extracts data from Excel spreadsheets
 and outputs it in comma-separated-value format and catppt, which extracts
 data from PowerPoint presentations.
 .
 This package suggests tk because it also includes wordview, an
 optional Tk-based GUI for catdoc.  The MIME config provided in this
 package will use wordview if X is running, or catdoc directly if it
 is not.

## catdoc 0.94.4-1maemo1

=== debian/changelog ===
catdoc (0.94.4-1maemo1) unstable; urgency=low

  * First maemo build

 -- Xes <xes.maemo@gmail.com>  Fri, 30 Maj 2014 06:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Nick Bane <nick@enomem.co.uk>
-Build-Depends: debhelper (>> 7.0.0), tk
+Build-Depends: debhelper (>> 7.0.0), tk8.5
 Standards-Version: 3.9.3
 
 Package: catdoc

## catdoc 0.95

=== debian/changelog ===
catdoc (1:0.95-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore -lm when linking programs as it's needed for rint() on some
    architectures. Closes: #876673

 -- Olly Betts <olly@survex.com>  Mon, 06 Nov 2017 11:48:29 +1300

catdoc (1:0.95-4) unstable; urgency=medium

  * Automated fixes from cme, and some cleanup.
  * Add some more Makefile fixes.
  * Fix opening some LibreOffice docuemnts. Closes: 874048.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 21:03:58 +0000

catdoc (1:0.95-3) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * CVE-2017-11110: Heap buffer overflow in ole_init. Closes: #867717.

  [ Martín Ferrari ]
  * Incorporate NMU patch, with thanks to Salvatore Bonaccorso.

 -- Martín Ferrari <tincho@debian.org>  Thu, 20 Jul 2017 22:20:04 +0000

catdoc (1:0.95-2) unstable; urgency=medium

  * Re-enable patch that was disabled by mistake.
  * Add patches to improve XLS parsing in a few different cases.
  * Fix Makefile to properly bail on build failures.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 12:16:07 +0200

catdoc (1:0.95-1) unstable; urgency=medium

  * New upstream release. Closes: #810883.
  * Drop already applied patches.
  * Add debian/watch file.
  * debian/control: Update Standards-Version with no changes.
  * debian/copyright: Add upstream's contact email. Closes: #842285.
  * debian/control: Improve package description, thanks to Justin B Rye for the
    patch. Closes: #815109.
  * debian/control: Move Homepage to source section.

 -- Martín Ferrari <tincho@debian.org>  Wed, 29 Mar 2017 19:09:42 +0000

=== debian/control ===
Source: catdoc
Maintainer: Martín Ferrari <tincho@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper (>> 9.0.0),
               tk,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/catdoc.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/catdoc.git
Homepage: http://www.wagner.pp.ru/~vitus/software/catdoc/

Package: catdoc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: tk | wish,
Description: text extractor for MS-Office files
 The catdoc program reads one or more Microsoft Word files and outputs
 their contents to standard output as text.
 .
 It is accompanied by xls2csv, a program which converts Excel spreadsheets
 into comma-separated-values format, and catppt, a utility to extract textual
 information from PowerPoint files.
 .
 It doesn't try to preserve Word formatting; its goal is to extract plain
 text and allow you to read it (and, probably, reformat it with TeX).
 .
 This package suggests tk because it also includes wordview, an
 optional Tk-based GUI for catdoc.  The MIME config provided in this
 package will use wordview if X is running, or catdoc directly if it
 is not.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DESTDIR     = $(CURDIR)/debian/catdoc

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-install-root=$(DESTDIR)

override_dh_auto_install:
	echo $(LDFLAGS)
	dh_auto_install
	install -d $(DESTDIR)/usr/lib/mime/packages
	install -m 644 debian/mime $(DESTDIR)/usr/lib/mime/packages/catdoc

override_dh_auto_clean:
	dh_auto_clean
	$(RM) config.status config.log config.cache src/config.h
